#
# spec file for package axel
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           axel
Version:        2.4
Release:        1.1
Summary:        Lightweight Download Accelerator
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            http://axel.alioth.debian.org/
Source:         axel-%{version}.tar.bz2
Patch1:         axel-fix_buffer_overflow.patch
Patch2:         axel-getaddrinfo.patch
# PATCH-FIX-OPENSUSE axel-2.4-configure.patch andreas.stieger@gmx.de -- fix to accept and ignore --disable-dependency-tracking
Patch3:         axel-2.4-configure.patch
# PATCH-FIX-OPENSUSE axel-fix-url-max-length.patch sebix+novell@sebix.at -- fix to accept longer URLs
Patch4:         axel-fix-url-max-length.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Axel tries to accelerate HTTP/FTP downloading process by using multiple
connections for one file. It can use multiple mirrors for a download. Axel has
no dependencies and is lightweight, so it might be useful as a wget clone on
byte-critical systems.

%prep
%setup -q
%patch1
%patch2
%patch3
%patch4

%build
%configure \
    --debug=0 \
    --strip=0 \
    --i18n=1

make %{?_smp_mflags}

%install
%make_install

rm -rf "%{buildroot}%{_mandir}/zh_CN"

%find_lang axel

%files -f axel.lang
%defattr(-,root,root)
%doc CHANGES
%config %{_sysconfdir}/axelrc
%{_bindir}/axel
%{_mandir}/man1/axel.1%{ext_man}

%changelog
* Wed Apr 12 2017 sebix+novell.com@sebix.at
- run spec-cleaner
- add axel-fix-url-max-length.patch to accept longer URLs
* Thu Dec 22 2011 andreas.stieger@gmx.de
- Update License to GPL-2.0+
- add axel-2.4-configure.patch to make configure script accept and
  ignore --disable-dependency-tracking
* Tue Oct 12 2010 pascal.bleser@opensuse.org
- copied from home:bitshuffler to network:utilities
- revamped .spec file
- added patch to fix buffer overflow
- added patch to use getaddrinfo instead of gethostbyname
* Fri Jul  3 2009 bitshuffler #suse@irc.freenode.org
- Initial RPM
